Skip to main content
GET
/
public
/
Spread
Get Recent Spreads
curl --request GET \
  --url https://api.kraken.com/0/public/Spread
{
  "error": [],
  "result": {
    "XXBTZUSD": [
      [
        1688671834,
        "30292.10000",
        "30297.50000"
      ],
      [
        1688671834,
        "30292.10000",
        "30296.70000"
      ],
      [
        1688671834,
        "30292.70000",
        "30296.70000"
      ]
    ],
    "last": 1688672106
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pair
string
required

Asset pair to get data for

assetVersion
enum<integer>

Controls whether response keys and asset identifier fields use Kraken's internal names or display names.

  • Omitted (default): internal names are used. Asset keys use legacy X/Z-prefixed format (XXBT, ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base, quote, fee_volume_currency) also use internal names.
  • assetVersion=1: display names are used. Asset keys become their canonical display names (BTC, USD). Pair keys become the slash-separated display format (BTC/USD). On /public/AssetPairs, the base, quote, and fee_volume_currency fields also switch to display names.

Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.

Available options:
1
since
integer

Returns spread data since given timestamp. Optional, intended for incremental updates within available dataset (does not contain all historical spreads).

asset_class
enum<string>

This parameter is required on requests for non-crypto pairs, i.e. use tokenized_asset for xstocks.

Available options:
tokenized_asset

Response

200 - application/json

Spread data retrieved.

result
object
error
string[]

Kraken API error